//---------------------------------------------------------------
// dbgtData.js
// Copyright (C) 2002 David Bollinger (davebollinger@hotmail.com)
//
// Support code for the "dbGroupToc" modification - A grouped
// table of contents for ArcIMS 3.1 HTML viewer sites.
//
// Notice:   This code may be freely distributed, used and
//           modified provided that this comment remains intact.
//---------------------------------------------------------------


//
// create the global resource object
//
tocResource = new RESOURCE("");
tocResource.stringTitle = "LAYER";                     // text to display as title of toc
tocResource.imageWidth = 16;                            // width in pixels of icons/swatches
tocResource.imageHeight = 16;                           // height in pixels of icons/swatches
tocResource.groupSpacing = 10;                           // height in pixels of blank space between groups

tocResource.iconPath = "images/";                   // path to icon images

tocResource.iconPixel = "icon_pixel.gif";               // single transparent pixel
tocResource.iconBlank = "icon_blank.gif";               // all transparent placeholder
tocResource.iconClosed = "icon_closed.gif";             // closed group folder
tocResource.iconOpened = "icon_opened.gif";             // opened group folder
tocResource.iconChild = "icon_child.gif";               // connecting line to child layer
tocResource.iconChildLast = "icon_childlast.gif";        // connecting line to child layer for the last layer of group
tocResource.iconOrphan = "icon_orphan.gif";             // non-connecting line to an orphan ("only child") layer
tocResource.iconHidden = "icon_hidden.gif";             // layer not visible, unselected checkbox
tocResource.iconVisible = "icon_visible.gif";           // layer visible, selected checkbox
tocResource.iconVisscale = "icon_visscale.gif";         // layer visible, but not at this scale
tocResource.iconTristate = "icon_tristate.gif";         // tri-state checkbox, some layers visible
tocResource.iconActive = "icon_active.gif";             // selected radio
tocResource.iconInactive = "icon_inactive.gif";         // unselected radio
tocResource.iconInfo = "icon_info.gif";                 // for displayLayerInfoButton
tocResource.iconHelp = "icon_help.gif";                 // not currently used


//
// create the toc object
// usage reminder:  TOC( name_of_toc )
//
var toc = new TOC("Toc_modificata");
//
//aimsWizard-TOC-Start//
//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp0 = toc.addGroup( new GROUP("Temi di base",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp0.addLayer( new LAYER("Civici") );
grp0.addLayer( new LAYER("Sezioni di censimento") );
grp0.addLayer( new LAYER("Toponomastica (2000-7500)") );
grp0.addLayer( new LAYER("Toponomastica (7500-13000)") );
//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp1 = toc.addGroup( new GROUP("Carta Tecnica",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp1.addLayer( new LAYER("Acque") );
grp1.addLayer( new LAYER("Aree libere") );
grp1.addLayer( new LAYER("Asfalto") );
grp1.addLayer( new LAYER("Bassi fabbricati") );
grp1.addLayer( new LAYER("Bosco") );
grp1.addLayer( new LAYER("Cortili") );
grp1.addLayer( new LAYER("Edifici") );
grp1.addLayer( new LAYER("Monumenti") );
grp1.addLayer( new LAYER("Gallerie") );
grp1.addLayer( new LAYER("Industrie") );
grp1.addLayer( new LAYER("Sport") );
grp1.addLayer( new LAYER("Strade") );
grp1.addLayer( new LAYER("Terra") );
grp1.addLayer( new LAYER("Verde") );

//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp2 = toc.addGroup( new GROUP("Catasto reti",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp2.addLayer( new LAYER("Sistema viario") );
grp2.addLayer( new LAYER("Rete acquedotto") );
grp2.addLayer( new LAYER("Rete fognaria") );
grp2.addLayer( new LAYER("Rete energia elettrica") );
grp2.addLayer( new LAYER("Rete gas") );

//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp3 = toc.addGroup( new GROUP("Prescrizioni sovraordinate",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp3.addLayer( new LAYER("PTO") );
grp3.addLayer( new LAYER("PAI") );
grp3.addLayer( new LAYER("Edifici L.1089") );
grp3.addLayer( new LAYER("Edifici L.1497") );
//aggiunto layer Vincolo Galasso
grp3.addLayer( new LAYER("Vincolo ex L. 431/85") );

//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp4 = toc.addGroup( new GROUP("PRG Azzonamento",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp4.addLayer( new LAYER("Edifici di particolare interesse storico") );
grp4.addLayer( new LAYER("Fronti di edifici caratterizzanti il tessuto storico") );
grp4.addLayer( new LAYER("Edifici caratterizzanti il tessuto storico") );
grp4.addLayer( new LAYER("Pertinenze storiche") );
grp4.addLayer( new LAYER("Zone di piano") );
grp4.addLayer( new LAYER("Limiti delle zone di piano") );
grp4.addLayer( new LAYER("Servizi") );
grp4.addLayer( new LAYER("Aree di piano") );
grp4.addLayer( new LAYER("Progetti unitari su suolo pubblico") );
grp4.addLayer( new LAYER("Visuali panoramiche") );
grp4.addLayer( new LAYER("Percorsi storici collinari") );
//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp5 = toc.addGroup( new GROUP("PRG Zucs",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp5.addLayer( new LAYER("Edifici della ZUCS") );
//grp5.addLayer( new LAYER("Fronti caratterizzanti edifici della ZUCS") ); PM 15/12/2006 commentati perch? unificati iu un unico layer Fronti edifici della ZUCS
//grp5.addLayer( new LAYER("Fronti di notevole pregio edifici della ZUCS") );
grp5.addLayer( new LAYER("Fronti edifici della ZUCS") );
grp5.addLayer( new LAYER("Edifici della ZUCS con androni") );
grp5.addLayer( new LAYER("Cortili della ZUCS") );
grp5.addLayer( new LAYER("Aree da trasformare") );
grp5.addLayer( new LAYER("Perimetri di studio") );
grp5.addLayer( new LAYER("Tessuti urbani") );
//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp6 = toc.addGroup( new GROUP("PRG Altre prescrizioni",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp6.addLayer( new LAYER("Fili edifici") );
grp6.addLayer( new LAYER("Zone di interesse archeologico e paleontologico") );
grp6.addLayer( new LAYER("Boschi e vincolo idrogeologico.Parchi regionali") );
grp6.addLayer( new LAYER("Fasce di rispetto") );
grp6.addLayer( new LAYER("Zone alfa") );
grp6.addLayer( new LAYER("Zone beta") );
grp6.addLayer( new LAYER("Zone gamma") );
//aggiunto layer assi commerciali
grp6.addLayer( new LAYER("Assi commerciali da tutelare (variante 99)") ); 
//


//Patrizia 03/05/2007 aggiunto alla toc il gruppo PRG Var.Geologica
//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp7 = toc.addGroup( new GROUP("PRG Var.Geologica",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp7.addLayer( new LAYER("Punti critici") );
grp7.addLayer( new LAYER("Corsi d'acqua") );
grp7.addLayer( new LAYER("Classe di stabilita' III4") );
grp7.addLayer( new LAYER("Frane") );
grp7.addLayer( new LAYER("Ambito di pertinenza della classe di stabilita' III4") );
grp7.addLayer( new LAYER("Ambiti dei punti critici") );
grp7.addLayer( new LAYER("Ambiti corsi d'acqua") );
grp7.addLayer( new LAYER("Area soggetta all'area di piena per collasso dei bacini artificiali") );
grp7.addLayer( new LAYER("Zonizzazione geomorfologica") );
//fine Patrizia 03/05/2007

//Patrizia 17/05/2007 aggiunto alla toc il layer varianta adottata//
// add a group to the toc
// usage reminder:  GROUP( name_of_group, startup_opened )
//
var grp8 = toc.addGroup( new GROUP("PRG Var.Adottata",false) );
//
// add layers to the group
// usage reminder:  LAYER( name_of_layer)
//

grp8.addLayer( new LAYER("Dati Variante Adottata") );

//fine Patrizia 17/05/2007


//aimsWizard-TOC-Stop//
